package cn.iocoder.yudao.module.configure.convert.tracetemplate;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo.TraceLinkRespVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracetemplate.TraceTemplateDO;

/**
 * 溯源模板 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface TraceTemplateConvert {

    TraceTemplateConvert INSTANCE = Mappers.getMapper(TraceTemplateConvert.class);

    TraceTemplateDO convert(TraceTemplateCreateReqVO bean);

    TraceTemplateDO convert(TraceTemplateUpdateReqVO bean);

    TraceTemplateRespVO convert(TraceTemplateDO bean);

    List<TraceTemplateRespVO> convertList(List<TraceTemplateDO> list);

    List<LinkFileVO> convertToFileVOList(List<TraceLinkRespVO> list);

}
